> For the complete documentation index, see [llms.txt](https://docs.tryterra.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tryterra.co/vantage-api-docs/documentation/test-collection-methods.md).

# Test Collection Methods

## Overview

* Depending on the supplier and the product,  some tests have multiple collection methods (ways for the end user to take a sample to be sent to the labs).
* This document goes through examples of how to place orders for kits with different collection methods.
* When looking at requests below, pay attention to `collection_type` and the following address fields&#x20;
  * `shipping_address`
  * `requested_lab_address`
  * `confirmed_lab_address`

| Collection Method |                                                                                                                                        |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `AT_HOME`         | Kits are sent to the end-user's home. They are expected to follow instructions on how to take the test carefully.                      |
| `GO_TO_LAB`       | A simplified name for mobile phlebotomy. The end-user goes to a specified lab where a registered nurse will conduct the test for them. |

### AT\_HOME Orders

{% tabs %}
{% tab title="Request" %}

```json
{
  "client_order_reference_id": "TEST-ORDER-001",
  "collection_type": "AT_HOME",
  "recipient": {
    "client_recipient_reference_id": "RECIP-CLIENT-001",
    "first_name": "John",
    "last_name": "Tan",
    "email": "john.tan@example.com",
    "phone_number": 7436503302,
    "country_code": 44,
    "date_of_birth": "1995-10-10",
    "gender_at_birth": "m"
  },
  "shipping_address": {
    "address_line_1": "123 High Street",
    "city": "London",
    "administrative_area": "England",
    "country_code": "GB",
    "postal_code": "SW1A 1AA"
  },
  "items": [
    {
      "variant_id": 100011,
      "quantity": 1
    }
  ]
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "order_id": 256488482397134848,
    "recipient_id": 256488482397134849,
    "order_items": [
        {
            "order_id": 256488482397134848,
            "order_item_id": 256488482397134851,
            "variant_id": 100011,
            "product_type_id": 1,
            "price_per_item_cents": 3999,
            "quantity": 1,
            "currency": 840,
            "results_status": "results.awaiting_sample"
        }
    ],
    "order_status": "order.payment_processing"
}
```

{% endtab %}
{% endtabs %}

### GO\_TO\_LAB Orders

* Using the `requested_lab_address` as a proxy, in the response we will route test takers to the closest lab available

{% tabs %}
{% tab title="Request" %}

```json
{
  "client_order_reference_id": "TEST-ORDER-001",
  "collection_type": "GO_TO_LAB",
  "recipient": {
    "client_recipient_reference_id": "RECIP-CLIENT-001",
    "first_name": "John",
    "last_name": "Tan",
    "email": "john.tan@example.com",
    "phone_number": 7436503302,
    "country_code": 44,
    "date_of_birth": "1995-10-10",
    "gender_at_birth": "m"
  },
  "requested_lab_address": {
    "address_line_1": "123 High Street",
    "city": "London",
    "administrative_area": "England",
    "country_code": "GB",
    "postal_code": "SW1A 1AA"
  },
  "items": [
    {
      "variant_id": 100011,
      "quantity": 1
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tryterra.co/vantage-api-docs/documentation/test-collection-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
